/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.aufgabe.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QAufgabeKommentar extends EntityPathBase<AufgabeKommentar> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Aufgabe
, "aufgabe.bearbeitet"
, "aufgabe.sichtbar"
, "aufgabe.wahltermin"
, "aufgabe.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QAufgabeKommentar aufgabeKommentar = new QAufgabeKommentar("aufgabeKommentar");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath autor = createString("autor");

  public final StringPath kommentar = createString("kommentar");

  public final DateTimePath zeitpunkt = createDateTime("zeitpunkt", java.sql.Timestamp.class);


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional

  public final de.ivu.elect.business.aufgabe.entity.QAufgabe aufgabe;


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QAufgabeKommentar(Class<? extends AufgabeKommentar> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.aufgabe = inits.isInitialized("aufgabe") ? new de.ivu.elect.business.aufgabe.entity.QAufgabe(forProperty("aufgabe"), inits.get("aufgabe")) : null;// de.ivu.elect.business.aufgabe.entity.QAufgabe.aufgabe;
  }

  public QAufgabeKommentar(String variable) {
    this(AufgabeKommentar.class, forVariable(variable), INITS);
  }

  public QAufgabeKommentar(Path<? extends AufgabeKommentar> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QAufgabeKommentar(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QAufgabeKommentar(PathMetadata metadata, PathInits inits) {
    this(AufgabeKommentar.class, metadata, inits);
  }
}
